/*==============================================================*/
/* Database name:  PHYSICALDATAMODEL_1                          */
/* DBMS name:      Microsoft SQL Server 7.x                     */
/* Created on:     17-01-2008 12:46:12                          */
/*==============================================================*/
DROP Table F_DNEV_IZV 
go
DROP Table F_ROBA  
go
DROP Table F_KUPCI
go
DROP Table F_NIVELACIJA
go
DROP Table F_OBJEKAT
go
DROP Table F_OPERATERI 
go
DROP  Table F_PLACANJE 
go
DROP  Table F_POR_STOPE  
go
DROP Table F_RACUN 
go
DROP TABLE F_SEMAFOR
go
DROP TABLE F_LOG_RACUN
go
DROP TABLE F_LOG_STAVKE
go
DROP TABLE F_GRUPE_ROBA
go

/*==============================================================*/
/* Table: F_DNEV_IZV                                         */
/*==============================================================*/
CREATE TABLE F_DNEV_IZV (
  F_ID_KASE	float(15)   DEFAULT 1 NOT NULL,
  F_GODINA	float(15)   NOT NULL,
  F_MJESEC	float(15)   NOT NULL,
  F_DAN   	float(15)    NOT NULL,
  F_RB_DNEV_IZV 	float(15)   NOT NULL,
  F_DATUM	datetime NOT NULL,
  F_DATUM_IZV	VARCHAR(20) NOT NULL,
  F_RBP_FISK_MR	float(15)  null,
  F_RBP_REKL_MR	float(15)  null,
  F_RBP_FISK_VR 	float(15)  null,
  F_RBP_REKL_VR	float(15)  null,
  F_BR_STORNO_ART	float(15)  null,
  F_BR_IZD_FAKT  	float(15)  null
)
go

/*==============================================================*/
/* Index: PK_F_DNEV_IZV                                       */
/*==============================================================*/
create unique  index PK_F_DNEV_IZV on F_DNEV_IZV (F_ID_KASE, F_GODINA, F_MJESEC, 
F_DAN, F_RB_DNEV_IZV
)
go


/*==============================================================*/
/* Table: F_GRUPE_ROBA                                          */
/*==============================================================*/
create table F_GRUPE_ROBA (
F_ID_KASE            float(15)   default 1   not null,
F_SIFRA_GRUPA        float(15)   default 1   not null,
F_NAZIV_GRUPA        varchar(32)          null
)
go


/*==============================================================*/
/* Index: PK_F_GRUPE_ROBA                                       */
/*==============================================================*/
create unique  index PK_F_GRUPE_ROBA on F_GRUPE_ROBA (F_ID_KASE,
F_SIFRA_GRUPA
)
go


/*==============================================================*/
/* Table: F_KUPCI                                         */
/*==============================================================*/
CREATE TABLE F_KUPCI (
  F_ID_KASE	float(15)  DEFAULT 1 NOT NULL,
  F_SIFRA_KUPCA	float(15)  DEFAULT 1 NOT NULL,
  F_NAZIV_KUPCA	VARCHAR(32) null,
  F_ADR_A_KUPCA	VARCHAR(32) null,
  F_ADR_B_KUPCA	VARCHAR(32) null,
  F_ADR_C_KUPCA	VARCHAR(32) null,
  F_IBO_KUPCA     	VARCHAR(20) null
)
go

/*==============================================================*/
/* Index: PK_F_KUPCI                                       */
/*==============================================================*/
create unique  index PK_F_KUPCI on F_KUPCI (F_ID_KASE,
F_SIFRA_KUPCA
)
go


/*==============================================================*/
/* Table: F_NIVELACIJA                                          */
/*==============================================================*/
create table F_NIVELACIJA (
F_ID_KASE            float(15) default 1  not null,
F_RBR                float(15) default 1  not null,
F_SIFRA_ROBE         float(15)            not null,
F_BAR_CODE           varchar(14)          null,
F_NAZIV_ROBE         varchar(32)          null,
F_SIFRA_POR_STOPE    float(15)            null,
F_SIFRA_GRUPA        float(15)            null,
F_CIJENA_ROBE        float(15)            null,
F_KOLICINA               float(15)            null
)
go


/*==============================================================*/
/* Index: PK_F_NIVELACIJA                                       */
/*==============================================================*/
create unique  index PK_F_NIVELACIJA on F_NIVELACIJA (F_ID_KASE,
F_RBR,
F_SIFRA_ROBE
)
go


/*==============================================================*/
/* Table: F_OBJEKAT                                             */
/*==============================================================*/
create table  F_OBJEKAT (
F_ID_KASE            float(15)  default 1 not null,
F_RBR                float(15)  default 1 not null,
F_NAZIV_OBJEKTA      varchar(32)          null,
F_TEL_BROJ           varchar(32)          null,
F_NAZIV_FIRME        varchar(32)          null,
F_ADRESA_FIRME       varchar(32)          null,
F_STAT_BROJ          varchar(32)          null
)
go


/*==============================================================*/
/* Index: PK_F_OBJEKAT                                          */
/*==============================================================*/
create unique  index PK_F_OBJEKAT on F_OBJEKAT (F_ID_KASE,
F_RBR
)
go


/*==============================================================*/
/* Table: F_OPERATERI                                           */
/*==============================================================*/
create table  F_OPERATERI (
F_ID_KASE            float(15) default 1  not null,
F_SIFRA_OPERATERA    float(15) default 1  not null,
F_NAZIV_OPERATERA    varchar(32)          null,
F_LOZINKA_OPERATERA  varchar(16),

)
go


/*==============================================================*/
/* Index: PK_F_OPERATERI                                        */
/*==============================================================*/
create unique  index PK_F_OPERATERI on  F_OPERATERI (F_ID_KASE,
F_SIFRA_OPERATERA
)
go



/*==============================================================*/
/* Table: F_PLACANJE                                           */
/*==============================================================*/
create table  F_PLACANJE (
F_ID_KASE            float(15) default 1  not null,
F_RBR                float(15) default 1  not null,
TIPKNJIZENJA         float(15) default 1  not null,
F_NACIN_PLACANJA     float(15)            not null,
F_UPLACENO           float(15)                null   
)
go

create unique  index PK_F_PLACANJE  on   F_PLACANJE (
F_ID_KASE,F_RBR,TIPKNJIZENJA,F_NACIN_PLACANJA
)
go



/*==============================================================*/
/* Table: F_POR_STOPE                                           */
/*==============================================================*/
create table  F_POR_STOPE (
F_ID_KASE            float(15) default 1  not null,
F_SIFRA_POR_STOPE    float(15)            not null,
F_NAZIV_POR_STOPE    varchar(20)          null,
F_STOPA_POREZA       float(15)            null
)
go


/*==============================================================*/
/* Index: PK_F_POR_STOPE                                        */
/*==============================================================*/
create unique  index PK_F_POR_STOPE on  F_POR_STOPE (
F_ID_KASE,F_SIFRA_POR_STOPE
)
go


/*==============================================================*/
/* Table: F_RACUN                                               */
/*==============================================================*/
create table  F_RACUN (
F_ID_KASE            float(15) default 1  not null,
F_RBR                float(15) default 1  not null,
TIPKNJIZENJA         float(15) default 1  not null,
F_STORNO_STAVKA      float(15) default 0  not null,
F_SIFRA_ROBE         float(15)            not null,
F_BAR_CODE           varchar(14)          null,
F_NAZIV_ROBE         varchar(32)          null,
F_SIFRA_POR_STOPE    float(15)            null,
F_SIFRA_GRUPA        float(15)            null,
F_CIJENA_ROBE        float(15)            null,
F_KOLICINA           float(15)            null
)
go


/*==============================================================*/
/* Index: PK_F_RACUN                                            */
/*==============================================================*/
create unique  index PK_F_RACUN on  F_RACUN (
F_ID_KASE,F_RBR,
F_SIFRA_ROBE,
TIPKNJIZENJA,
F_STORNO_STAVKA
)
go


/*==============================================================*/
/* Table: F_ROBA                                                */
/*==============================================================*/
create table  F_ROBA (
F_ID_KASE            float(15) default 1  not null,
F_SIFRA_ROBE         float(15)            not null,
F_BAR_CODE           varchar(14)          null,
F_NAZIV_ROBE         varchar(32)          null,
F_SIFRA_GRUPA        float(15)            null,
F_SIFRA_POR_STOPE    float(15)            null,
F_CIJENA_ROBE        float(15)            null
)
go


/*==============================================================*/
/* Index: PK_F_ROBA                                             */
/*==============================================================*/
create unique  index PK_F_ROBA on  F_ROBA (
F_ID_KASE,F_SIFRA_ROBE
)
go


/*==============================================================*/
/* Index: I_ASC_F_BAR_CODE                                      */
/*==============================================================*/
create   index I_ASC_F_BAR_CODE on  F_ROBA (
F_BAR_CODE
)
go


/*==============================================================*/
/* Index: I_ASC_F_CIJENA_ROBE                                   */
/*==============================================================*/
create   index I_ASC_F_CIJENA_ROBE on  F_ROBA (
F_CIJENA_ROBE
)
go


/*==============================================================*/
/* Index: I_ASC_F_NAZIV_ROBE                                    */
/*==============================================================*/
create   index I_ASC_F_NAZIV_ROBE on  F_ROBA (
F_NAZIV_ROBE
)
go


/*==============================================================*/
/* Index: I_ASC_F_SIFRA_GRUPA                                   */
/*==============================================================*/
create   index I_ASC_F_SIFRA_GRUPA on  F_ROBA (
F_SIFRA_GRUPA
)
go


/*==============================================================*/
/* Index: I_ASC_F_SIFRA_POR_STOPE                               */
/*==============================================================*/
create   index I_ASC_F_SIFRA_POR_STOPE on  F_ROBA (
F_SIFRA_POR_STOPE
)
go


/*==============================================================*/
/* Table: F_SEMAFOR                                             */
/*==============================================================*/
create table  F_SEMAFOR (
F_ID_KASE            float(15) default 1  not null,
F_RBR                float(15) default 1  not null,
TIPKNJIZENJA         float(15) default 1  not null,
MEMO                 text                 null,
PRINTMEMO            float(15)            null,
PRINTRACUN           float(15)            null,
F_SIFRA_KUPCA      float(15) default 0  null,
F_REKL_BROJ         float(15)   null,
F_SIF_OPER            integer default 1 null,
F_STATUS               integer  default 0  null
)
go


/*==============================================================*/
/* Index: PK_F_SEMAFOR                                          */
/*==============================================================*/
create unique  index PK_F_SEMAFOR on  F_SEMAFOR (F_ID_KASE,F_RBR,TIPKNJIZENJA)
go
/*==============================================================*/
/*  Table F_LOG_RACUN  */
/*==============================================================*/

CREATE TABLE F_LOG_RACUN (
  F_ID_KASE            float(15) default 1  not null,
  F_RBR                float(15) default 1  NOT NULL,
  F_FISK_BROJ          float(15) NOT NULL,
  TIPKNJIZENJA         float(15) default 1  not null,
  F_REZ_KOM            float(15) null,
  F_STATUS_K           float(15) null,
  F_GRESKA_K           float(15) null,
  F_KOMANDA            float(15) null,
  F_ST_DTIME           text      null
)
go

/*  PrimaryKey PK_F_LOG_RACUN  */
create unique  index  PK_F_LOG_RACUN 
 on F_LOG_RACUN (F_ID_KASE,F_RBR, TIPKNJIZENJA)         
go

/*==============================================================*/
/*  Table F_LOG_STAVKE  */
/*==============================================================*/
CREATE TABLE F_LOG_STAVKE (
  F_ID_KASE            float(15)  default 1 not null,
  F_RBR                float(15)  default 1 NOT NULL,
  F_RBR_STAVKE         float(15)  default 1 NOT NULL,
  TIPKNJIZENJA         float(15)  default 1 not null,
  F_REZ_KOM            float(15)                null,
  F_STATUS_K           float(15)                null,
  F_GRESKA_K           float(15)                null,
  F_KOMANDA            float(15)                null,
  F_SIFRA_ROBE         float(15)            NOT NULL,
  F_SIFRA_POR_STOPE    float(15)                null,
  F_SIFRA_GRUPA        float(15)                null,
  F_CIJENA_ROBE        float(15)                null,
  F_STATUS_BIT         float(15)                null
)
go

/*  PrimaryKey PK_F_LOG_STAVKE  */
create unique  index  PK_F_LOG_STAVKE 
  on F_LOG_STAVKE (F_ID_KASE,F_RBR,TIPKNJIZENJA, F_RBR_STAVKE)
go