
CREATE TABLE F_DNEV_IZV 
(
 F_ID_KASE	DOUBLE DEFAULT 1 NOT NULL,
  F_GODINA	DOUBLE NOT NULL,
  F_MJESEC	DOUBLE NOT NULL,
  F_DAN	DOUBLE NOT NULL,
  F_RB_DNEV_IZV	DOUBLE NOT NULL,
  F_DATUM	TIMESTAMP NOT NULL,
  F_DATUM_IZV	VARCHAR(20) NOT NULL,
  F_RBP_FISK_MR	DOUBLE, 
  F_RBP_REKL_MR	DOUBLE, 
  F_RBP_FISK_VR	              DOUBLE, 
  F_RBP_REKL_VR	DOUBLE, 
  F_BR_STORNO_ART	DOUBLE, 
  F_BR_IZD_FAKT	DOUBLE ,
UNIQUE KEY PK_F_DNEV_IZV  (F_ID_KASE, F_GODINA, F_MJESEC, F_DAN, F_RB_DNEV_IZV)
);

/*  Table F_GRUPE_ROBA  */
CREATE TABLE F_GRUPE_ROBA (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_SIFRA_GRUPA DOUBLE DEFAULT 1 NOT NULL,
  F_NAZIV_GRUPA VARCHAR(32),
  UNIQUE KEY PK_F_GRUPE_ROBA  (F_ID_KASE,F_SIFRA_GRUPA)
)
;


CREATE TABLE F_KUPCI 
(
  F_ID_KASE	DOUBLE DEFAULT 1 NOT NULL,
  F_SIFRA_KUPCA	DOUBLE DEFAULT 1 NOT NULL,
  F_NAZIV_KUPCA	VARCHAR(32),
  F_ADR_A_KUPCA	VARCHAR(32),
  F_ADR_B_KUPCA	VARCHAR(32),
  F_ADR_C_KUPCA	VARCHAR(32),
  F_IBO_KUPCA	VARCHAR(20),
UNIQUE  KEY  PK_F_KUPCI (F_ID_KASE, F_SIFRA_KUPCA)
);

/*  Table F_NIVELACIJA  */
CREATE TABLE F_NIVELACIJA (
  F_ID_KASE DOUBLE  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE      DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE    DOUBLE      NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE DOUBLE  ,
  F_SIFRA_GRUPA DOUBLE  ,
  F_CIJENA_ROBE DOUBLE  ,
  F_KOLICINA  DOUBLE  ,
  UNIQUE KEY  PK_F_NIVELACIJA (F_ID_KASE,F_RBR, F_SIFRA_ROBE)
)
;

/*  Table F_OBJEKAT  */
CREATE TABLE F_OBJEKAT (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE DEFAULT 1  NOT NULL,
  F_NAZIV_OBJEKTA VARCHAR(32),
  F_TEL_BROJ VARCHAR(32),
  F_NAZIV_FIRME VARCHAR(32),
  F_ADRESA_FIRME VARCHAR(32),
  F_STAT_BROJ VARCHAR(32),
  UNIQUE KEY PK_F_OBJEKAT  (F_ID_KASE,F_RBR)
)
;

/*  Table F_OPERATERI  */
CREATE TABLE F_OPERATERI (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_SIFRA_OPERATERA DOUBLE    DEFAULT 1  NOT NULL,
  F_NAZIV_OPERATERA VARCHAR(32),
  F_LOZINKA_OPERATERA VARCHAR(16),
  UNIQUE KEY  PK_F_OPERATERI  (F_ID_KASE,F_SIFRA_OPERATERA)
)

;

/*  Table F_PLACANJE  */
CREATE TABLE F_PLACANJE (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE   DEFAULT 1    DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE         DEFAULT 1 NOT NULL,
  F_NACIN_PLACANJA DOUBLE   NOT NULL,
  F_UPLACENO DOUBLE  ,
  UNIQUE KEY PK_F_PLACANJE  (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_NACIN_PLACANJA)

)
;

/*  Table F_POR_STOPE  */
CREATE TABLE F_POR_STOPE (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_SIFRA_POR_STOPE DOUBLE   NOT NULL,
  F_NAZIV_POR_STOPE VARCHAR(20),
  F_STOPA_POREZA DOUBLE  ,
  UNIQUE KEY PK_F_POR_STOPE  (F_ID_KASE,F_SIFRA_POR_STOPE)
)
;

/*  Table F_RACUN  */
CREATE TABLE F_RACUN (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE   DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE DEFAULT 1 NOT NULL,
  F_STORNO_STAVKA DOUBLE DEFAULT 0 NOT NULL,
  F_SIFRA_ROBE DOUBLE   NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE DOUBLE  ,
  F_SIFRA_GRUPA DOUBLE  ,
  F_CIJENA_ROBE DOUBLE  ,
  F_KOLICINA DOUBLE  ,
  UNIQUE KEY  PK_F_RACUN  (F_ID_KASE,F_RBR, F_SIFRA_ROBE,TIPKNJIZENJA,F_STORNO_STAVKA)
)
;

/*  Table F_ROBA  */
CREATE TABLE F_ROBA (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE DOUBLE   NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_GRUPA DOUBLE  ,
  F_SIFRA_POR_STOPE DOUBLE  ,
  F_CIJENA_ROBE DOUBLE  ,
  F_KOLICINA DOUBLE,
  UNIQUE KEY PK_F_ROBA  (F_ID_KASE,F_SIFRA_ROBE),
  KEY I_ASC_F_BAR_CODE (F_BAR_CODE),
  KEY I_ASC_F_CIJENA_ROBE (F_CIJENA_ROBE),
  KEY  I_ASC_F_NAZIV_ROBE (F_NAZIV_ROBE),
  KEY I_ASC_F_SIFRA_GRUPA (F_SIFRA_GRUPA),
  KEY I_ASC_F_SIFRA_POR_STOPE (F_SIFRA_POR_STOPE)
)
;
/*  Table F_SEMAFOR  */
CREATE TABLE F_SEMAFOR (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE     DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE DEFAULT 1 NOT NULL,
  MEMO LONGTEXT,
  PRINTMEMO DOUBLE  ,
  PRINTRACUN DOUBLE  , 
  F_SIFRA_KUPCA DOUBLE DEFAULT 0,
  F_REKL_BROJ DOUBLE,
  F_SIF_OPER INTEGER DEFAULT 1,
  F_STATUS INTEGER DEFAULT 0 
  UNIQUE KEY PK_F_SEMAFOR (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)
;
/*  Table F_LOG_RACUN  */
CREATE TABLE F_LOG_RACUN (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE     DEFAULT 1 NOT NULL,
  F_FISK_BROJ DOUBLE   NOT NULL,
  TIPKNJIZENJA DOUBLE DEFAULT 1 NOT NULL,
  F_REZ_KOM DOUBLE  ,
  F_STATUS_K DOUBLE  ,
  F_GRESKA_K DOUBLE  ,
  F_KOMANDA DOUBLE  ,
  F_ST_DTIME VARCHAR(20),
  UNIQUE KEY PK_F_LOG_RACUN   (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)  
;  

/*  Table F_LOG_STAVKE  */
CREATE TABLE F_LOG_STAVKE (
  F_ID_KASE DOUBLE DEFAULT 1 NOT NULL,
  F_RBR DOUBLE     DEFAULT 1 NOT NULL,
  F_RBR_STAVKE DOUBLE  DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE DEFAULT 1 NOT NULL,
  F_REZ_KOM DOUBLE  ,
  F_STATUS_K DOUBLE  ,
  F_GRESKA_K DOUBLE  ,
  F_KOMANDA DOUBLE  ,
  F_SIFRA_ROBE DOUBLE   NOT NULL,
  F_SIFRA_POR_STOPE DOUBLE  ,
  F_SIFRA_GRUPA DOUBLE  ,
  F_CIJENA_ROBE DOUBLE  ,
  F_STATUS_BIT DOUBLE  ,
  UNIQUE KEY PK_F_LOG_STAVKE   (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_RBR_STAVKE)  
)
;


