DROP TABLE F_DNEV_IZV 
;
DROP TABLE F_GRUPE_ROBA
;
DROP Table F_NIVELACIJA
;
DROP Table F_OBJEKAT
;
DROP Table F_OPERATERI 
;
DROP  Table F_PLACANJE 
;
DROP Table F_POR_STOPE  
;
DROP Table F_RACUN 
;
DROP Table F_ROBA  
;
DROP TABLE F_SEMAFOR
;
DROP TABLE F_LOG_RACUN
;
DROP TABLE F_LOG_STAVKE
;
DROP TABLE F_KUPCI
;

/*  Table F_DNEV_IZV  */
CREATE TABLE F_DNEV_IZV 
(
 F_ID_KASE	NUMBER(*) DEFAULT 1 NOT NULL,
  F_GODINA	NUMBER(*) NOT NULL,
  F_MJESEC	NUMBER(*) NOT NULL,
  F_DAN	NUMBER(*) NOT NULL,
  F_RB_DNEV_IZV	DOUBLE NOT NULL,
  F_DATUM	TIMESTAMP NOT NULL,
  F_DATUM_IZV	VARCHAR(20) NOT NULL,
  F_RBP_FISK_MR	NUMBER(*), 
  F_RBP_REKL_MR	NUMBER(*), 
  F_RBP_FISK_VR	              DOUBLE, 
  F_RBP_REKL_VR	NUMBER(*), 
  F_BR_STORNO_ART	NUMBER(*), 
  F_BR_IZD_FAKT	NUMBER(*) ,
CONSTRAINT PK_F_DNEV_IZV  PRIMARY KEY(F_ID_KASE, F_GODINA, F_MJESEC, F_DAN, F_RB_DNEV_IZV)
);

/*  Table F_KUPCI  */
CREATE TABLE F_KUPCI (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_SIFRA_KUPCA NUMBER(*) DEFAULT 1 NOT NULL,
  F_NAZIV_KUPCA VARCHAR(32),
  F_ADR_A_KUPCA VARCHAR(32),
  F_ADR_B_KUPCA VARCHAR(32),
  F_ADR_C_KUPCA VARCHAR(32),
  F_IBO_KUPCA VARCHAR(20),
  CONSTRAINT PK_F_KUPCI PRIMARY KEY (F_ID_KASE,F_SIFRA_KUPCA)
)
;

/*  Table F_GRUPE_ROBA  */
CREATE TABLE F_GRUPE_ROBA (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_SIFRA_GRUPA NUMBER(*) DEFAULT 1 NOT NULL,
  F_NAZIV_GRUPA VARCHAR(32),
  CONSTRAINT PK_F_GRUPE_ROBA PRIMARY KEY (F_ID_KASE,F_SIFRA_GRUPA)
)
;

/*  Table F_NIVELACIJA  */
CREATE TABLE F_NIVELACIJA (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE NUMBER(*) NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE NUMBER(*),
  F_SIFRA_GRUPA NUMBER(*),
  F_CIJENA_ROBE NUMBER(*),
  F_KOLICINA NUMBER(*),
  CONSTRAINT  PK_F_NIVELACIJA PRIMARY KEY (F_ID_KASE,F_RBR, F_SIFRA_ROBE)
)
;

/*  Table F_OBJEKAT  */
CREATE TABLE F_OBJEKAT (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  F_NAZIV_OBJEKTA VARCHAR(32),
  F_TEL_BROJ VARCHAR(32),
  F_NAZIV_FIRME VARCHAR(32),
  F_ADRESA_FIRME VARCHAR(32),
  F_STAT_BROJ VARCHAR(32),
  CONSTRAINT PK_F_OBJEKAT PRIMARY KEY (F_ID_KASE,F_RBR)
)
;

/*  Table F_OPERATERI  */
CREATE TABLE F_OPERATERI (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_SIFRA_OPERATERA NUMBER(*) DEFAULT 1 NOT NULL,
  F_NAZIV_OPERATERA VARCHAR(32),
  F_LOZINKA_OPERATERA VARCHAR(16),
  CONSTRAINT  PK_F_OPERATERI PRIMARY KEY (F_ID_KASE,F_SIFRA_OPERATERA)
)
;

/*  Table F_PLACANJE  */
CREATE TABLE F_PLACANJE (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  TIPKNJIZENJA NUMBER(*) DEFAULT 1 NOT NULL,
  F_NACIN_PLACANJA NUMBER(*) NOT NULL,
  F_UPLACENO NUMBER(*),
  CONSTRAINT PK_F_PLACANJE  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_NACIN_PLACANJA)
)
;

/*  Table F_POR_STOPE  */
CREATE TABLE F_POR_STOPE (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_SIFRA_POR_STOPE NUMBER(*) NOT NULL,
  F_NAZIV_POR_STOPE VARCHAR(20),
  F_STOPA_POREZA NUMBER(*),
  CONSTRAINT PK_F_POR_STOPE PRIMARY KEY (F_ID_KASE,F_SIFRA_POR_STOPE)
)
;

/*  Table F_RACUN  */
CREATE TABLE F_RACUN (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  TIPKNJIZENJA NUMBER(*) DEFAULT 1 NOT NULL,
  F_STORNO_STAVKA NUMBER(*) DEFAULT 0 NOT NULL,
  F_SIFRA_ROBE NUMBER(*) NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE NUMBER(*),
  F_SIFRA_GRUPA NUMBER(*),
  F_CIJENA_ROBE NUMBER(*),
  F_KOLICINA NUMBER(*),
  CONSTRAINT  PK_F_RACUN PRIMARY KEY (F_ID_KASE,F_RBR, F_SIFRA_ROBE,TIPKNJIZENJA,F_STORNO_STAVKA)
)
;

/*  Table F_ROBA  */
CREATE TABLE F_ROBA (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE NUMBER(*) NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_GRUPA NUMBER(*),
  F_SIFRA_POR_STOPE NUMBER(*),
  F_CIJENA_ROBE NUMBER(*),
  F_KOLICINA NUMBER(*),
  CONSTRAINT PK_F_ROBA PRIMARY KEY (F_ID_KASE,F_SIFRA_ROBE)
)
;

/*  Index I_ASC_F_BAR_CODE  */
CREATE  INDEX I_ASC_F_BAR_CODE ON F_ROBA (F_BAR_CODE)
;

/*  Index I_ASC_F_CIJENA_ROBE  */
CREATE  INDEX I_ASC_F_CIJENA_ROBE on F_ROBA (F_CIJENA_ROBE)
;

/*  Index I_ASC_F_NAZIV_ROBE  */
CREATE  INDEX I_ASC_F_NAZIV_ROBE ON F_ROBA (F_NAZIV_ROBE)
;

/*  Index I_ASC_F_SIFRA_GRUPA  */
CREATE  INDEX I_ASC_F_SIFRA_GRUPA ON F_ROBA (F_SIFRA_GRUPA)
;

/*  Index I_ASC_F_SIFRA_POR_STOPE  */
CREATE INDEX I_ASC_F_SIFRA_POR_STOPE ON F_ROBA (F_SIFRA_POR_STOPE)
;

/*  Table F_SEMAFOR  */
CREATE TABLE F_SEMAFOR (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  TIPKNJIZENJA NUMBER(*) DEFAULT 1 NOT NULL,
  MEMO LONG,
  PRINTMEMO NUMBER(*),
  PRINTRACUN NUMBER(*), 
  F_SIFRA_KUPCA NUMBER(*) DEFAULT 0,
  F_REKL_BROJ NUMBER(*),
  F_SIF_OPER INTEGER DEFAULT 1,
  F_STATUS INTEGER DEFAULT 0,
  CONSTRAINT PK_F_SEMAFOR PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)
;

/*  Table F_LOG_RACUN  */
CREATE TABLE F_LOG_RACUN (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  F_FISK_BROJ NUMBER(*) NOT NULL,
  TIPKNJIZENJA NUMBER(*) DEFAULT 1 NOT NULL,
  F_REZ_KOM NUMBER(*),
  F_STATUS_K NUMBER(*),
  F_GRESKA_K NUMBER(*),
  F_KOMANDA NUMBER(*),
  F_ST_DTIME VARCHAR(20),
  CONSTRAINT PK_F_LOG_RACUN  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)  
;  

/*  Table F_LOG_STAVKE  */
CREATE TABLE F_LOG_STAVKE (
  F_ID_KASE NUMBER(*)  DEFAULT 1 NOT NULL,
  F_RBR NUMBER(*) DEFAULT 1 NOT NULL,
  F_RBR_STAVKE NUMBER(*) DEFAULT 1 NOT NULL,
  TIPKNJIZENJA NUMBER(*) DEFAULT 1 NOT NULL,
  F_REZ_KOM NUMBER(*),
  F_STATUS_K NUMBER(*),
  F_GRESKA_K NUMBER(*),
  F_KOMANDA NUMBER(*),
  F_SIFRA_ROBE NUMBER(*) NOT NULL,
  F_SIFRA_POR_STOPE NUMBER(*),
  F_SIFRA_GRUPA NUMBER(*),
  F_CIJENA_ROBE NUMBER(*),
  F_STATUS_BIT NUMBER(*),
  CONSTRAINT PK_F_LOG_STAVKE  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_RBR_STAVKE)  
)
;

