DROP TABLE F_DNEV_IZV 
;
DROP TABLE F_GRUPE_ROBA
;
DROP Table F_NIVELACIJA
;
DROP Table F_OBJEKAT
;
DROP Table F_OPERATERI 
;
DROP  Table F_PLACANJE 
;
DROP Table F_POR_STOPE  
;
DROP Table F_RACUN 
;
DROP Table F_ROBA  
;
DROP TABLE F_SEMAFOR
;
DROP TABLE F_LOG_RACUN
;
DROP TABLE F_LOG_STAVKE
;
DROP TABLE F_KUPCI
;

/*  Table F_DNEV_IZV  */
CREATE TABLE F_DNEV_IZV 
(
 F_ID_KASE	    DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_GODINA	    DOUBLE PRECISION NOT NULL,
  F_MJESEC	    DOUBLE PRECISION NOT NULL,
  F_DAN	        DOUBLE PRECISION NOT NULL,
  F_RB_DNEV_IZV	DOUBLE PRECISION NOT NULL,
  F_DATUM	TIMESTAMP NOT NULL,
  F_DATUM_IZV	VARCHAR(20) NOT NULL,
  F_RBP_FISK_MR	DOUBLE PRECISION, 
  F_RBP_REKL_MR	DOUBLE PRECISION, 
  F_RBP_FISK_VR DOUBLE PRECISION, 
  F_RBP_REKL_VR	DOUBLE PRECISION, 
  F_BR_STORNO_ART	DOUBLE PRECISION, 
  F_BR_IZD_FAKT	  DOUBLE PRECISION,
CONSTRAINT PK_F_DNEV_IZV  PRIMARY KEY(F_ID_KASE, F_GODINA, F_MJESEC, F_DAN, F_RB_DNEV_IZV)
);

/*  Table F_KUPCI  */
CREATE TABLE F_KUPCI (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_SIFRA_KUPCA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_NAZIV_KUPCA VARCHAR(32),
  F_ADR_A_KUPCA VARCHAR(32),
  F_ADR_B_KUPCA VARCHAR(32),
  F_ADR_C_KUPCA VARCHAR(32),
  F_IBO_KUPCA VARCHAR(20),
  CONSTRAINT PK_F_KUPCI PRIMARY KEY (F_ID_KASE,F_SIFRA_KUPCA)
)
;

CREATE TABLE F_GRUPE_ROBA

(
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_SIFRA_GRUPA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_NAZIV_GRUPA VARCHAR(32),
  CONSTRAINT PK_F_GRUPE_ROBA PRIMARY KEY (F_ID_KASE,F_SIFRA_GRUPA)
)
;

/*  Table F_NIVELACIJA  */
CREATE TABLE F_NIVELACIJA (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE DOUBLE PRECISION NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE DOUBLE PRECISION,
  F_SIFRA_GRUPA DOUBLE PRECISION,
  F_CIJENA_ROBE DOUBLE PRECISION,
  F_KOLICINA  DOUBLE PRECISION,
  CONSTRAINT  PK_F_NIVELACIJA PRIMARY KEY (F_ID_KASE,F_RBR, F_SIFRA_ROBE)
)
;

/*  Table F_OBJEKAT  */
CREATE TABLE F_OBJEKAT (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_NAZIV_OBJEKTA VARCHAR(32),
  F_TEL_BROJ VARCHAR(32),
  F_NAZIV_FIRME VARCHAR(32),
  F_ADRESA_FIRME VARCHAR(32),
  F_STAT_BROJ VARCHAR(32),
  CONSTRAINT PK_F_OBJEKAT PRIMARY KEY (F_ID_KASE,F_RBR)
)
;

/*  Table F_OPERATERI  */
CREATE TABLE F_OPERATERI (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_SIFRA_OPERATERA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_NAZIV_OPERATERA VARCHAR(32),
  F_LOZINKA_OPERATERA VARCHAR(16),
  CONSTRAINT  PK_F_OPERATERI PRIMARY KEY (F_ID_KASE,F_SIFRA_OPERATERA)
)
;

/*  Table F_PLACANJE  */
CREATE TABLE F_PLACANJE (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_NACIN_PLACANJA DOUBLE PRECISION NOT NULL,
  F_UPLACENO DOUBLE PRECISION,
  CONSTRAINT PK_F_PLACANJE  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_NACIN_PLACANJA)
)
;

/*  Table F_POR_STOPE  */
CREATE TABLE F_POR_STOPE (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_SIFRA_POR_STOPE DOUBLE PRECISION NOT NULL,
  F_NAZIV_POR_STOPE VARCHAR(20),
  F_STOPA_POREZA DOUBLE PRECISION,
  CONSTRAINT PK_F_POR_STOPE PRIMARY KEY (F_ID_KASE,F_SIFRA_POR_STOPE)
)
;

/*  Table F_RACUN  */
CREATE TABLE F_RACUN (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_STORNO_STAVKA DOUBLE PRECISION DEFAULT 0 NOT NULL,
  F_SIFRA_ROBE DOUBLE PRECISION NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_POR_STOPE DOUBLE PRECISION,
  F_SIFRA_GRUPA DOUBLE PRECISION,
  F_CIJENA_ROBE DOUBLE PRECISION,
  F_KOLICINA DOUBLE PRECISION,
  CONSTRAINT  PK_F_RACUN PRIMARY KEY (F_ID_KASE,F_RBR, F_SIFRA_ROBE,TIPKNJIZENJA,F_STORNO_STAVKA)
)
;

/*  Table F_ROBA  */
CREATE TABLE F_ROBA (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_SIFRA_ROBE DOUBLE PRECISION NOT NULL,
  F_BAR_CODE VARCHAR(14),
  F_NAZIV_ROBE VARCHAR(32),
  F_SIFRA_GRUPA DOUBLE PRECISION,
  F_SIFRA_POR_STOPE DOUBLE PRECISION,
  F_CIJENA_ROBE DOUBLE PRECISION,
  F_KOLICINA DOUBLE PRECISION,
  CONSTRAINT PK_F_ROBA PRIMARY KEY (F_ID_KASE,F_SIFRA_ROBE)
)
;
/*  Index I_ASC_F_BAR_CODE  */
CREATE ASCENDING INDEX I_ASC_F_BAR_CODE ON F_ROBA (F_BAR_CODE)
;

/*  Index I_ASC_F_CIJENA_ROBE  */
CREATE ASCENDING INDEX I_ASC_F_CIJENA_ROBE on F_ROBA (F_CIJENA_ROBE)
;

/*  Index I_ASC_F_NAZIV_ROBE  */
CREATE ASCENDING INDEX I_ASC_F_NAZIV_ROBE ON F_ROBA (F_NAZIV_ROBE)
;

/*  Index I_ASC_F_SIFRA_GRUPA  */
CREATE ASCENDING INDEX I_ASC_F_SIFRA_GRUPA ON F_ROBA (F_SIFRA_GRUPA)
;

/*  Index I_ASC_F_SIFRA_POR_STOPE  */
CREATE ASCENDING INDEX I_ASC_F_SIFRA_POR_STOPE ON F_ROBA (F_SIFRA_POR_STOPE)
;

/*  Table F_SEMAFOR  */
CREATE TABLE F_SEMAFOR (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  MEMO BLOB SUB_TYPE 1 SEGMENT SIZE 80,
  PRINTMEMO DOUBLE PRECISION,
  PRINTRACUN DOUBLE PRECISION,
  F_SIFRA_KUPCA DOUBLE PRECISION DEFAULT 0,
  F_REKL_BROJ DOUBLE PRECISION,
  F_SIF_OPER INTEGER DEFAULT 1,
  F_STATUS INTEGER DEFAULT 0,
  CONSTRAINT PK_F_SEMAFOR PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)
;
/*  Table F_LOG_RACUN  */
CREATE TABLE F_LOG_RACUN (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_FISK_BROJ DOUBLE PRECISION NOT NULL,
  TIPKNJIZENJA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_REZ_KOM DOUBLE PRECISION,
  F_STATUS_K DOUBLE PRECISION,
  F_GRESKA_K DOUBLE PRECISION,
  F_KOMANDA DOUBLE PRECISION,
  F_ST_DTIME VARCHAR(20),
  CONSTRAINT PK_F_LOG_RACUN  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA)
)
;  
/*  Table F_LOG_STAVKE  */
CREATE TABLE F_LOG_STAVKE (
  F_ID_KASE DOUBLE PRECISION  DEFAULT 1 NOT NULL,
  F_RBR DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_RBR_STAVKE DOUBLE PRECISION DEFAULT 1 NOT NULL,
  TIPKNJIZENJA DOUBLE PRECISION DEFAULT 1 NOT NULL,
  F_REZ_KOM DOUBLE PRECISION,
  F_STATUS_K DOUBLE PRECISION,
  F_GRESKA_K DOUBLE PRECISION,
  F_KOMANDA DOUBLE PRECISION,
  F_SIFRA_ROBE DOUBLE PRECISION NOT NULL,
  F_SIFRA_POR_STOPE DOUBLE PRECISION,
  F_SIFRA_GRUPA DOUBLE PRECISION,
  F_CIJENA_ROBE DOUBLE PRECISION,
  F_STATUS_BIT DOUBLE PRECISION,
  CONSTRAINT PK_F_LOG_STAVKE  PRIMARY KEY (F_ID_KASE,F_RBR,TIPKNJIZENJA,F_RBR_STAVKE)  
)
;
